Limits
Check Customer Limits
POST
/v1/customers/{customer_uuid}/check-limits/Authorization
X-Api-Key
string required
API key generated in the Developers section of the Stablegate app. Send it in the
X-Api-Key header on every request; the partner API does not require request signing.Path parameters
customer_uuid
string<uuid> required
Request body
source
object required
rail
string required
One of:
bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tronasset
string required
One of:
EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURCamount
number | string | null
destination
object required
rail
string required
One of:
bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tronasset
string required
One of:
EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURCamount
number | string | null
Responses
Successful Response
Type: object[].
limit_rule
object required
uuid
string<uuid> required
name
string required
scope
string required
One of:
operation, period, operation_min_amountperiod
string | null
One of:
month, quarter, year, day, lifetimerail_types
string[] | null
rail_codes
string[] | null
operation_types
string[] | null
asset_codes
string[] | null
limit_amount
string required
used_amount
string required
available_amount
string required
excess_amount
string required
error_msg
string
Validation Error
trace_id
string required
error_code
string required
One of:
devapi_internal_error, devapi_request_validation_error, devapi_iban_parse_error, devapi_customer_close_error, devapi_bank_code_required_error, devapi_download_aol_error, devapi_not_found_error, devapi_bad_request_error, devapi_email_occupied_error, devapi_idempotency_invalid_key, devapi_idempotency_key_misuse, devapi_idempotency_request_in_progress, devapi_kyc_application_link_error, devapi_instant_verification_error, devapi_unauthorized_error, devapi_forbidden_error, devapi_method_not_allowed_error, devapi_service_unavailable_errormessage
string required
details
object[] required
loc
string | string[] required
msg
string required
type
string required
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/check-limits/ \
--request POST \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"source": {
"rail": "bitcoin",
"asset": "EUR",
"amount": 0
},
"destination": {
"rail": "bitcoin",
"asset": "EUR",
"amount": 0
}
}'
[
{
"limit_rule": {
"uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"scope": "operation",
"period": "month",
"rail_types": [
"bank"
],
"rail_codes": [
"bitcoin"
],
"operation_types": [
"funding"
],
"asset_codes": [
"EUR"
]
},
"limit_amount": "string",
"used_amount": "string",
"available_amount": "string",
"excess_amount": "string",
"error_msg": "string"
}
]
{
"trace_id": "string",
"error_code": "devapi_internal_error",
"message": "string",
"details": [
{
"loc": "string",
"msg": "string",
"type": "string"
}
]
}